Subject: EEH cleanups and reworks

From: Oliver O'Halloran <[email-masked]>
Date: Thu, 10 Sep 2020 15:45:23 +1000

This is really two series joined together since they end up conflicting
with each other lighty slightly and I figured this is easier for all
involved.

Patches 1-5 streamline how the generic and platform specfic parts of EEH
are initialised at boot so more of the setup process happens in linear code
rather in initcalls.

Patches 6-9 re-work how the per-device EEH probing works on pseries to
make it line up better with the process outlined in PAPR. It also
removes the pe->config_addr field which has always confused me since
it's not really clear what or why it's needed (spoiler: it's not).

Oliver